﻿$URL = "PATH"
$ErrorActionPreference ="Stop"
$PSDefaultParameterValues['*:ErrorAction']='Stop'

#First time tasks
#Install-Module SharePointPnPPowerShellOnline 
#$Creds = get-credential
#Add-PnPStoredCredential -Name $URL -Username $Creds.UserName -Password $Creds.Password

import-Module SharePointPnPPowerShellOnline 
Connect-PnPOnline $URL 

function Create-MyApp([string] $ListName, [string] $ListURL,[Microsoft.SharePoint.Client.ListTemplateType] $AppType){
    #Always versioning on
    if($ListURL -eq ""){
        $ListURL =$ListName.Replace(" ","").ToLower()
    }
    New-PnPList -Title $ListName -Template $AppType -EnableVersioning -OnQuickLaunch -Url $ListURL
    Write-Host ($AppType.ToString() + " " + $ListName + " has been created!") -ForegroundColor Green    
}

$Departments = "Sales","Production", "Support"


foreach($Dep in $Departments){
    #Create the subsite
    New-PnPWeb -Title $Dep -Url $Dep -InheritNavigation -Template SITEPAGEPUBLISHING#0
}



foreach($Dep in $Departments){
    Remove-PnPWeb -Url $Dep -Force
}
